GrailsTagLibClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface GrailsTagLibClass

    org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
      org.codehaus.groovy.grails.commons.GrailsTagLibClass
          org.codehaus.groovy.grails.commons.GrailsClass
              org.codehaus.groovy.grails.commons.InjectableGrailsClass

All Superinterfaces:
  GrailsApplicationAware, GrailsClass, InjectableGrailsClass

    public interface GrailsTagLibClass
    extends InjectableGrailsClass

Represents a Grails tab library class.

Authors:
  Graeme Rocher

Field Summary
`java.lang.String` | `DEFAULT_ENCODE_AS_FIELD_NAME`
`java.lang.String` | `DEFAULT_NAMESPACE`
`java.lang.String` | `ENCODE_AS_FOR_TAGS_FIELD_NAME`
`java.lang.String` | `NAMESPACE_FIELD_NAME`
`java.lang.String` | `RETURN_OBJECT_FOR_TAGS_FIELD_NAME`

Method Summary
`java.lang.Object` | `getDefaultEncodeAs()`
`java.lang.Object` | `getEncodeAsForTag(java.lang.String tagName)`
`java.lang.String` | `getNamespace()` @return the namespace that this taglib occupies.
`java.util.Set` | `getTagNames()` @return The tag names in this library
`java.util.Set` | `getTagNamesThatReturnObject()`
`boolean` | `hasTag(java.lang.String tagName)` @param tagName The name of the tag

Methods inherited from interface InjectableGrailsClass
byName, byType, getAvailable

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Field Detail

### DEFAULT_ENCODE_AS_FIELD_NAME

    public java.lang.String DEFAULT_ENCODE_AS_FIELD_NAME

### DEFAULT_NAMESPACE

    public java.lang.String DEFAULT_NAMESPACE

### ENCODE_AS_FOR_TAGS_FIELD_NAME

    public java.lang.String ENCODE_AS_FOR_TAGS_FIELD_NAME

### NAMESPACE_FIELD_NAME

    public java.lang.String NAMESPACE_FIELD_NAME

### RETURN_OBJECT_FOR_TAGS_FIELD_NAME

    public java.lang.String RETURN_OBJECT_FOR_TAGS_FIELD_NAME

Method Detail

### getDefaultEncodeAs

    public java.lang.Object getDefaultEncodeAs()

### getEncodeAsForTag

    public java.lang.Object getEncodeAsForTag(java.lang.String tagName)

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    the namespace that this taglib occupies.

### getTagNames

    public java.util.Set getTagNames()

  Returns:
    The tag names in this library

### getTagNamesThatReturnObject

    public java.util.Set getTagNamesThatReturnObject()

### hasTag

    public boolean hasTag(java.lang.String tagName)

  Parameters:
    `tagName` - The name of the tag
  Returns:
    Whether the tag library contains the specified tag

Groovy Documentation